org.deidentifier.arx.test

## Class TestAnonymizationLocalRecoding

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTest
  - - org.deidentifier.arx.test.AbstractAnonymizationTest
    - - org.deidentifier.arx.test.TestAnonymizationLocalRecoding

    public class TestAnonymizationLocalRecoding
    extends AbstractAnonymizationTest

Test for local recoding

Author:
  Fabian Prasser

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractAnonymizationTest

`AbstractAnonymizationTest.ARXAnonymizationTestCase`

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractTest

`AbstractTest.TestMetric`

### Field Summary

### Fields inherited from class org.deidentifier.arx.test.AbstractAnonymizationTest

`name`

### Constructor Summary

Constructors
Constructor and Description
`TestAnonymizationLocalRecoding(AbstractAnonymizationTest.ARXAnonymizationTestCase testCase)` Creates a new instance.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Collection<java.lang.Object[]>` `cases()` Returns the test cases.

### Methods inherited from class org.deidentifier.arx.test.AbstractAnonymizationTest

`getClassification, getDataObject, setUp, test`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestAnonymizationLocalRecoding

    public TestAnonymizationLocalRecoding(AbstractAnonymizationTest.ARXAnonymizationTestCase testCase)

Creates a new instance.

Parameters:
  `testCase` -

### Method Detail

#### cases

    public static java.util.Collection<java.lang.Object[]> cases()
                                                          throws java.io.IOException

Returns the test cases.

Returns:
Throws:
  `java.io.IOException`